clang 8.0.0

Namespaces | Enumerations
Lambda.h File Reference

Defines several types used to describe C++ lambda expressions that are shared between the parser and AST. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Enumerations
enum | clang::LambdaCaptureDefault { clang::LCD_None, clang::LCD_ByCopy, clang::LCD_ByRef }
| The default, if any, capture method for a lambda expression. More...
enum | clang::LambdaCaptureKind { clang::LCK_This, clang::LCK_StarThis, clang::LCK_ByCopy, clang::LCK_ByRef, clang::LCK_VLAType }
| The different capture forms in a lambda introducer. More...

## Detailed Description

Defines several types used to describe C++ lambda expressions that are shared between the parser and AST.

Definition in file Lambda.h.